Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## interfacing
Class JobsTableJPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      interfacing.JobsTableJPanel

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, JobsTableListener

    public class JobsTableJPanel

extends javax.swing.JPanel
implements JobsTableListener, java.awt.event.MouseListener

This JPanel is responsible for viewing information about every job in the system. It views the following: "ID", "Seconday ID", "Job Class", "Server", "Date Submitted", "Date Sent" , "Date Started", "Date Done", "Status" and "Timeout status" This class implements mapping.data.JobsTableListener.

Author:
  Majd Kokaly
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JobsTableJPanel(MainFrame frame)` The default constructor.

Method Summary
`void` | `fillJTable()` This method initialize the JTable with the entries from JobsTable from the mapper of this objects MainFrame object
`void` | `jobClassIDHasBeenChanged(long jobID, int jobClassId)` This method is invoked by the JobsTable object when a job's class id is changed.
`void` | `jobHasBeenAdded(long jobID, long jobSecondaryID, int jobClassID, java.lang.String serverName, java.util.GregorianCalendar timeSubmitted, java.util.GregorianCalendar timeSent, java.util.GregorianCalendar timeStarted, java.util.GregorianCalendar timeDone, java.lang.String status, boolean timedOut)` This method is invoked by the JobsTable object when a new job is added.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` This method handles the event of the user double cliking a job entry.
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `secondaryIDHasBeenChanged(long jobID, long jobSecondayID)` This method is invoked by the JobsTable object when a job's secondary id is changed.
`void` | `serverIDHasBeenChanged(long jobID, int serverID)` The method is invoked when the server of a job is changed.
`void` | `serverNameHasBeenChanged(long jobID, java.lang.String serverName)` This method is invoked by the JobsTable object when a job's server name is changed.
`void` | `statusHasBeenChanged(long jobID, java.lang.String status)` This method is invoked by the JobsTable object when a job's status has been changed.
`void` | `timeDoneHasBeenChanged(long jobID, java.util.GregorianCalendar timeDone)` This method is invoked by the JobsTable object when a job's completion time is changed.
`void` | `timedOutStatusChanged(long jobID, boolean timedOut)` This method is invoked by the JobsTable object when a job's time-out status has been changed
`void` | `timeSentHasBeenChanged(long jobID, java.util.GregorianCalendar timeSent)` This method is invoked by the JobsTable object when a job's sending time is changed.
`void` | `timeStartedHasBeenChanged(long jobID, java.util.GregorianCalendar timeStarted)` This method is invoked by the JobsTable object when a job's start time id is changed.
`void` | `timeSubmittedHasBeenChanged(long jobID, java.util.GregorianCalendar timeSubmitted)` This method is invoked by the JobsTable object when a job's submission time changed.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobsTableJPanel

    public JobsTableJPanel(MainFrame frame)

  The default constructor. It initialize and lays the GUI objects.

  Parameters:
    `frame` - this is the MainFrame object that contains this JPanel

Method Detail

### fillJTable

    public void fillJTable()

  This method initialize the JTable with the entries from JobsTable from the mapper of this objects MainFrame object

### jobHasBeenAdded

    public void jobHasBeenAdded(long jobID,
                                long jobSecondaryID,
                                int jobClassID,
                                java.lang.String serverName,
                                java.util.GregorianCalendar timeSubmitted,
                                java.util.GregorianCalendar timeSent,
                                java.util.GregorianCalendar timeStarted,
                                java.util.GregorianCalendar timeDone,
                                java.lang.String status,
                                boolean timedOut)

  This method is invoked by the JobsTable object when a new job is added.

  Specified by:
    `jobHasBeenAdded` in interface `JobsTableListener`
  Parameters:
    `jobID` - The job id.
    `jobSecondaryID` - The job secondary id.
    `jobClassID` - The ID of the job class that this job belongs to
    `serverName` - The hostname of the server of this job.
    `timeSubmitted` - The time of submission for this job.
    `timeSent` - The time of sending for this job.
    `timeStarted` - The time of start for this job.
    `timeDone` - The time of completion for this job.
    `status` - The status of this job
    `timedOut` - If this job is timed out or not.
  See Also:
    `JobsTableListener`

### secondaryIDHasBeenChanged

    public void secondaryIDHasBeenChanged(long jobID,
                                          long jobSecondayID)

  This method is invoked by the JobsTable object when a job's secondary id is changed.

  Specified by:
    `secondaryIDHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `jobSecondayID` - The new secondary ID of the job in subject.
  See Also:
    `JobsTableListener`

### jobClassIDHasBeenChanged

    public void jobClassIDHasBeenChanged(long jobID,
                                         int jobClassId)

  This method is invoked by the JobsTable object when a job's class id is changed.

  Specified by:
    `jobClassIDHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `jobClassId` - the new jobClassID.
  See Also:
    `JobsTableListener`

### serverNameHasBeenChanged

    public void serverNameHasBeenChanged(long jobID,
                                         java.lang.String serverName)

  This method is invoked by the JobsTable object when a job's server name is changed.

  Specified by:
    `serverNameHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `serverName` - the new server name of the job is subject
  See Also:
    `JobsTableListener`

### serverIDHasBeenChanged

    public void serverIDHasBeenChanged(long jobID,
                                       int serverID)

  Description copied from interface: `JobsTableListener`
  The method is invoked when the server of a job is changed.

  Specified by:
    `serverIDHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.

### timeSubmittedHasBeenChanged

    public void timeSubmittedHasBeenChanged(long jobID,
                                            java.util.GregorianCalendar timeSubmitted)

  This method is invoked by the JobsTable object when a job's submission time changed.

  Specified by:
    `timeSubmittedHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `timeSubmitted` - the new timeSubmitted of the job in subject.
  See Also:
    `JobsTableListener`

### timeSentHasBeenChanged

    public void timeSentHasBeenChanged(long jobID,
                                       java.util.GregorianCalendar timeSent)

  This method is invoked by the JobsTable object when a job's sending time is changed.

  Specified by:
    `timeSentHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `timeSent` - the new timeSubmitted of the job in subject.
  See Also:
    `JobsTableListener`

### timeStartedHasBeenChanged

    public void timeStartedHasBeenChanged(long jobID,
                                          java.util.GregorianCalendar timeStarted)

  This method is invoked by the JobsTable object when a job's start time id is changed.

  Specified by:
    `timeStartedHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `timeStarted` - the new timeStarted of the job in subject.
  See Also:
    `JobsTableListener`

### timeDoneHasBeenChanged

    public void timeDoneHasBeenChanged(long jobID,
                                       java.util.GregorianCalendar timeDone)

  This method is invoked by the JobsTable object when a job's completion time is changed.

  Specified by:
    `timeDoneHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `timeDone` - the new timeDone of the job in subject.
  See Also:
    `JobsTableListener`

### statusHasBeenChanged

    public void statusHasBeenChanged(long jobID,
                                     java.lang.String status)

  This method is invoked by the JobsTable object when a job's status has been changed.

  Specified by:
    `statusHasBeenChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - The ID of the job in subject.
    `status` - the new status of the job in subject.
  See Also:
    `JobsTableListener`

### timedOutStatusChanged

    public void timedOutStatusChanged(long jobID,
                                      boolean timedOut)

  This method is invoked by the JobsTable object when a job's time-out status has been changed

  Specified by:
    `timedOutStatusChanged` in interface `JobsTableListener`
  Parameters:
    `jobID` - the ID of the job in subject.
    `timedOut` - a boolean value. True if timed-out, false otherwise.
  See Also:
    `JobsTableListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  This method handles the event of the user double cliking a job entry. It then shows info about that job.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD